/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomTextMetrics_H__
#define __GdomTextMetrics_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomTextMetrics GdomTextMetrics;
typedef struct _GdomTextMetricsClass GdomTextMetricsClass;


#define GDOM_TYPE_TEXT_METRICS            (gdom_text_metrics_get_type())
#define GDOM_TEXT_METRICS(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_TEXT_METRICS, GdomTextMetrics))
#define GDOM_TEXT_METRICS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_TEXT_METRICS, GdomTextMetrics)Class)
#define GDOM_IS_TEXT_METRICS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_TEXT_METRICS))
#define GDOM_IS_TEXT_METRICS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_TEXT_METRICS))
#define GDOM_TEXT_METRICS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_TEXT_METRICS, GdomTextMetricsClass))

typedef struct _GdomTextMetricsPrivate GdomTextMetricsPrivate;

struct _GdomTextMetrics {
    GdomDOMObject parent_instance;
    GdomTextMetricsPrivate *priv;
};

struct _GdomTextMetricsClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_text_metrics_get_type (void);

G_END_DECLS

#endif /* __GdomTextMetrics_H__ */
